#Note this package is not prefixable
#%define prefix /usr
%define name hebfonts
%define version 0.1
%define release 1.PU_IAS.2
%define url http://www.math.princeton.edu/

Summary: Additional Hebrew Fonts 
Name: %{name}
Version: %{version}
Release: %{release}
Source0: hebfonts-%{version}.tgz
Copyright: distributable
Group: System/Fonts/X11 bitmap
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArchitectures: noarch
Requires: chkfontpath 
# to have it auto-selected when choosing Hebrew at install time. 
# It would be a good idea to rem-out this line when compiling for another 
# distro
# Requires: locales-he

%description
Additional hebrew fonts needed by the members of math dept here at 
Princeton.

Note that this package requires chkfontpath for the installation only.
If your distribution does not have chkfontpath you will be able to install
this package with 'rpm --nodep' . However - you should add the install
directory to the FontPath before being able to use those fonts with X.

%prep
%setup 
mv hebfonts/readme README

%build
echo "No build necessary"

%install
install -d $RPM_BUILD_ROOT%{_datadir}/fonts/
cp -R hebfonts $RPM_BUILD_ROOT%{_datadir}/fonts
sed -e '/^$/d' $RPM_BUILD_ROOT%{_datadir}/fonts/hebfonts/fonts.scale > fonts.scale.tmp
cp -f fonts.scale.tmp $RPM_BUILD_ROOT%{_datadir}/fonts/hebfonts/fonts.scale
cp -f fonts.scale.tmp $RPM_BUILD_ROOT%{_datadir}/fonts/hebfonts/fonts.dir

%post 
umask 133
/usr/X11R6/bin/mkfontdir %{_datadir}/fonts/hebfonts
chkfontpath -q -a %{_datadir}/fonts/hebfonts
fc-cache %{_datadir}/fonts/hebfonts

%postun
umask 133
# 0 means a real uninstall
if [ "$1" = "0" ]; then
	chkfontpath -q -r %{_datadir}/fonts/hebfonts
	fc-cache %{_datadir}/fonts/hebfonts
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(644,root,root,0755)  
%doc README 
%{_datadir}/fonts/hebfonts

%changelog
* Thu Jul 11 2002 Josko Plazonic <plazonic@math.princeton.edu>
- First build by JP at Math.Princeton.EDU 

# end of file
